- block:

  - name: Install /etc/fstab
    copy:
      src: "fstab_{{ zoox_machine_role }}_compute_{{ zoox_compute_version }}"
      dest: /etc/fstab
      owner: root
      group: root
      mode: '644'

  - include: mdadm_compute_3.yml
    when: zoox_compute_version is version('3', '>=')

  # Compute 2.5 vision only
  - include: external_logging_disks_vision_compute_2.yml
    when: zoox_machine_role == 'vision' and zoox_compute_version is version('3', '<')

  # Everything but compute 2.5 vision
  - include: external_logging_disks.yml
    when: zoox_machine_role == 'ai' or zoox_compute_version is version('3', '>=')

  become: yes
